package me.chyxion.tigon.mybatis;

/**
 * @author Shaun Chyxion <br>
 * chyxion@163.com <br>
 * 2017/1/23 17:04
 */
class LikeSearchProcessor extends AbstractSearchProcessor {

    /**
     * {@inheritDoc}
     */
    @Override
    CriterionType type() {
        return CriterionType.LIKE;
    }

    @Override
    void doProcess(SearchProcessArgs args) {
        args.append(args.getCol() + " like ")
            .addValue(args.getValue());
    }
}
